Bug 865078 - [abrt] Zim-0.57-1.fc16: socket.py:224:meth:error: [Errno 98] Address already in use
[abrt] Zim-0.57-1.fc16: socket.py:224:meth:error: [Errno 98] Address already ...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Zim (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Robin Lee
Fedora Extras Quality Assurance
abrt_hash:1bca930468f65efde944134f2d0...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-10 15:01 EDT by Peter Portante
Modified: 2012-11-28 06:58 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-28 06:58:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1065410 None None None 2012-10-11 04:21:16 EDT

  None (edit)
Description Peter Portante 2012-10-10 15:01:41 EDT
libreport version: 2.0.10
abrt_version:   2.0.7
cmdline:        /usr/bin/python /usr/bin/zim --ipc-server-main /tmp/zim-pportant/zim-server-socket 30
executable:     /usr/bin/zim
kernel:         3.4.11-1.fc16.x86_64
time:           Wed 10 Oct 2012 02:31:39 PM EDT
uid:            17930
username:       pportant

backtrace:
:socket.py:224:meth:error: [Errno 98] Address already in use
:
:Traceback (most recent call last):
:  File "/usr/bin/zim", line 73, in <module>
:    zim.main(argv)
:  File "/usr/lib/python2.7/site-packages/zim/__init__.py", line 294, in main
:    zim.ipc.handle_argv()
:  File "/usr/lib/python2.7/site-packages/zim/ipc.py", line 114, in handle_argv
:    servermain()
:  File "/usr/lib/python2.7/site-packages/zim/ipc.py", line 308, in servermain
:    server.start()
:  File "/usr/lib/python2.7/site-packages/zim/ipc.py", line 348, in start
:    self.listener = Listener(SERVER_ADDRESS)
:  File "/usr/lib64/python2.7/multiprocessing/connection.py", line 132, in __init__
:    self._listener = SocketListener(address, family, backlog)
:  File "/usr/lib64/python2.7/multiprocessing/connection.py", line 254, in __init__
:    self._socket.bind(address)
:  File "/usr/lib64/python2.7/socket.py", line 224, in meth
:    return getattr(self._sock,name)(*args)
:error: [Errno 98] Address already in use
:
:Local variables in innermost frame:
:self: <socket._socketobject object at 0x1d5c9f0>
:args: ('/tmp/zim-pportant/zim-server-socket',)
:name: 'bind'

smolt_data:
:
:
:General
:=================================
:UUID: 1f04c76f-c1ca-4fb0-9d5e-33733f8d191f
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 5382.86
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i7-2620M CPU @ 2.70GHz
:CPU Stepping: 7
:CPU Family: 6
:CPU Model Num: 42
:Number of CPUs: 4
:CPU Speed: 2701
:System Memory: 7870
:System Swap: 10015
:Vendor: LENOVO
:System: 4243B37 ThinkPad T520
:Form factor: Notebook
:Kernel: 3.4.11-1.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:7247:6058:8655) pci, None, PCI/ISA, QM67 Express Chipset Family LPC Controller
:(4480:59427:6058:8655) pci, sdhci-pci, BASE, N/A
:(32902:294:6058:8655) pci, i915, VIDEO, 2nd Generation Core Processor Family Integrated Graphics Controller
:(32902:7190:6058:8655) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 4
:(32902:7184:6058:8655) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 1
:(32902:7186:6058:8655) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 2
:(32902:7192:6058:8655) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 5
:(32902:7200:6058:8655) pci, snd_hda_intel, MULTIMEDIA, 6 Series/C200 Series Chipset Family High Definition Audio Controller
:(32902:5378:6058:8654) pci, e1000e, ETHERNET, 82579LM Gigabit Network Connection
:(32902:7213:6058:8655) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2
:(32902:7202:6058:8655) pci, i801_smbus, SERIAL, 6 Series/C200 Series Chipset Family SMBus Controller
:(4480:59442:6058:8655) pci, firewire_ohci, FIREWIRE, FireWire Host Controller
:(32902:16952:32902:4369) pci, iwlwifi, NETWORK, Centrino Ultimate-N 6300 3x3 AGN
:(32902:7171:6058:8655) pci, ahci, STORAGE, 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller
:(32902:7229:6058:8655) pci, serial, 16550_SERIAL, 6 Series/C200 Series Chipset Family KT Controller
:(32902:7206:6058:8655) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1
:(32902:260:6058:8655) pci, agpgart-intel, HOST/PCI, 2nd Generation Core Processor Family DRAM Controller
:(32902:7226:6058:8655) pci, None, SIMPLE, 6 Series/C200 Series Chipset Family MEI Controller #1
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_frodo-lv_root / ext4 4096 4096 12901535 9886607 9755585 3276800 2962658 2962658
:/dev/mapper/vg_frodo-lv_home /home ext4 4096 4096 104623298 100855069 95540509 26574848 26399262 26399262
:/dev/sda1 /boot ext4 1024 1024 495844 407201 381601 128016 127737 127737
:/dev/sr0 WITHHELD udf 2048 2048 3893277 0 0 31 0 0
:
Comment 1 Fedora Update System 2012-11-19 00:32:47 EST
Zim-0.57-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/Zim-0.57-2.fc16
Comment 2 Fedora Update System 2012-11-19 22:16:43 EST
Package Zim-0.57-2.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing Zim-0.57-2.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-18573/Zim-0.57-2.fc16
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2012-11-28 06:58:03 EST
Zim-0.57-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.